Skip to main content
PUT
/
profile
/
actions
Perform an update action on credential
curl --request PUT \
  --url https://developersandbox-api.flutterwave.com/profile/actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "old_password": "<string>",
  "new_password": "<string>",
  "action_type": "update_password"
}
'
{
  "status": "success",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Body

application/json
old_password
string
required
new_password
string
required
action_type
enum<string>
Available options:
update_password

Response

Successfully updated the password

status
enum<string>
Available options:
success,
failed
message
string